<div
  class="todo-item d-flex justify-content-between align-content-center"
  (mouseover)="isHovered = true"
  (mouseout)="isHovered = false"
>
  <div class="todo">
    <input
      type="checkbox"
      [ngClass]="{ checked: todo.isCompleted }"
      [id]="todo.id"
      class="toggle text-center"
      [checked]="todo.isCompleted"
      (change)="changeTodoStatus()"
    />
    <label
      [@fadeStrikeThrough]="todo.isCompleted ? 'completed' : 'active'"
      [for]="todo.id"
      >{{ todo.content }}</label
    >
  </div>
  <div class="d-flex align-items-center">
    <span
      class="icon-wrapper text-center edit"
      [hidden]="todo.isCompleted"
      [ngClass]="{ active: isHovered }"
    >
      <i class="eva eva-edit-outline" (click)="isEditing = true"></i>
    </span>
    <span class="icon-wrapper text-center" [ngClass]="{ active: isHovered }">
      <i class="eva eva-close" (click)="removeTodo()"></i>
    </span>
  </div>

  <form class="edit-form" (keyup)="submitEdit($event)" *ngIf="isEditing">
    <input type="text" name="editTodo" [(ngModel)]="todo.content" />
  </form>
</div>
